"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _theme = _interopRequireDefault(require("@lugia/lugia-web/dist/theme"));

var _icon = _interopRequireDefault(require("@lugia/lugia-web/dist/icon"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _consts = _interopRequireDefault(require("@lugia/lugia-web/dist/consts"));

var _wecom = _interopRequireDefault(require("../../assets/wecom.png"));

var _dingtalk = _interopRequireDefault(require("../../assets/dingtalk.png"));

var _email = _interopRequireDefault(require("../../assets/email.jpeg"));

var _defaultIconForNotification = _interopRequireDefault(require("../../assets/defaultIconForNotification.png"));

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = _styledComponents["default"].div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  width: 100%;\n  display: flex;\n  flex-wrap: wrap;\n"])));

var CardContainer = _styledComponents["default"].div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  text-align: center;\n  width: 296px;\n  height: 210px;\n  background: #fff;\n  margin: 10px;\n"])));

var TextTitle = _styledComponents["default"].div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\ntext-align: left;\nmargin: 10px 0;\nfont-size: 14px;\ncolor: #50575d;\npadding-left: 27px;\ndisplay: flex;\nalign-items: center;\n"])));

var Text = _styledComponents["default"].div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\ntext-align: left;\nmargin: 12px 0;\nfont-size: 12px;\ncolor: #747E90;\npadding-left: 27px;\ndisplay: flex;\nalign-items: center;\n"])));

var StatusText = _styledComponents["default"].div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\ntext-align: left;\nfont-size: 12px;\ncolor: ", ";\npadding-left: 10px;\ndisplay: flex;\nalign-items: center;\n  \n"])), function (props) {
  return props.status === "启用" ? "#3788ff" : "#ee3743";
});

var ImageContainer = _styledComponents["default"].div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\npadding-left: 22px;\npadding-top: 10px;\n\n"])));

var IconContainer = _styledComponents["default"].div(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  text-align: right;\n  padding-right: 20px;\n"])));

var DividerContainer = _styledComponents["default"].div(_templateObject8 || (_templateObject8 = _taggedTemplateLiteral(["\n    padding-top: 20px;\n    \n"])));

var ContentCard = /*#__PURE__*/function (_React$Component) {
  _inherits(ContentCard, _React$Component);

  var _super = _createSuper(ContentCard);

  function ContentCard(props) {
    _classCallCheck(this, ContentCard);

    return _super.call(this, props);
  }

  _createClass(ContentCard, [{
    key: "render",
    value: function render() {
      var image = null;
      var _this$props = this.props,
          data = _this$props.data,
          onEdit = _this$props.onEdit,
          onDelete = _this$props.onDelete,
          onEnable = _this$props.onEnable; // console.log(data);

      var notice_type = data["notice_type"];
      console.log("notice_type", data["notice_type"]); // console.log("notification_type_id: " + notification_type_id)

      if (notice_type === 1) {
        image = _wecom["default"];
      } else if (notice_type === 2) {
        image = _dingtalk["default"];
      } else if (notice_type === 3) {
        image = _email["default"];
      } else {
        image = _defaultIconForNotification["default"];
      }

      var status_icon = null;

      if (data["status"] === "启用") {
        status_icon = "lugia-icon-reminder_pause_cycle";
      } else {
        status_icon = "lugia-icon-direction_play_circle_o";
      }

      return /*#__PURE__*/_react["default"].createElement(CardContainer, null, /*#__PURE__*/_react["default"].createElement(Container, null, /*#__PURE__*/_react["default"].createElement(ImageContainer, null, /*#__PURE__*/_react["default"].createElement("img", {
        src: image,
        alt: "",
        width: "36px",
        height: "36px"
      })), /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(TextTitle, null, data["notice_name"])), /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(Text, null, data["notice_type"] === 1 ? "企业微信" : data["notice_type"] === 2 ? "钉钉" : "邮箱")))), /*#__PURE__*/_react["default"].createElement("hr", {
        color: "#e8e8e8",
        "boder-top": "76px"
      }), /*#__PURE__*/_react["default"].createElement(Text, null, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        iconClass: "lugia-icon-financial_global"
      }), data["notice_type"] === 3 ? "Email：" : "TokenUrl：", data["notice_type"] === 3 ? data["email_address"] : data["notice_url"]), /*#__PURE__*/_react["default"].createElement(Text, null, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        iconClass: "lugia-icon-financial_user"
      }), "\u66F4\u65B0\u4EBA\uFF1A", data["update_user"]), /*#__PURE__*/_react["default"].createElement(Text, null, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        iconClass: "lugia-icon-reminder_clock_circle_o"
      }), "\u66F4\u65B0\u65F6\u95F4\uFF1A", data["UpdatedAt"]), /*#__PURE__*/_react["default"].createElement(Text, null, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        iconClass: "lugia-icon-reminder_warning"
      }), "\u72B6\u6001\uFF1A", /*#__PURE__*/_react["default"].createElement(StatusText, {
        status: data["status"]
      }, data["status"])), /*#__PURE__*/_react["default"].createElement(IconContainer, null, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        iconClass: "lugia-icon-financial_editor",
        onClick: function onClick() {
          return onEdit(data);
        }
      }), /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        iconClass: status_icon,
        onClick: function onClick() {
          return onEnable(data);
        }
      }), /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        iconClass: "lugia-icon-financial_delete",
        onClick: function onClick() {
          return onDelete(data);
        }
      })));
    }
  }]);

  return ContentCard;
}(_react["default"].Component);

var ComboCard = /*#__PURE__*/function (_React$Component2) {
  _inherits(ComboCard, _React$Component2);

  var _super2 = _createSuper(ComboCard);

  function ComboCard(props) {
    _classCallCheck(this, ComboCard);

    return _super2.call(this, props);
  }

  _createClass(ComboCard, [{
    key: "render",
    value: function render() {
      var combo = _defineProperty({}, _consts["default"].Icon, {
        Icon: {
          normal: {
            margin: {
              right: 7
            },
            font: {
              size: 14
            },
            color: "#50575d"
          }
        },
        Container: {
          normal: {
            width: 14,
            height: 14
          }
        }
      });

      var _this$props2 = this.props,
          data = _this$props2.data,
          onEnable = _this$props2.onEnable,
          onEdit = _this$props2.onEdit,
          onDelete = _this$props2.onDelete;
      var items = [];
      data && data.map(function (item) {
        items.push( /*#__PURE__*/_react["default"].createElement(ContentCard, {
          data: item,
          onEdit: onEdit,
          onEnable: onEnable,
          onDelete: onDelete
        }));
      });
      return /*#__PURE__*/_react["default"].createElement(Container, null, " ", /*#__PURE__*/_react["default"].createElement(_theme["default"], {
        config: combo
      }, items));
    }
  }]);

  return ComboCard;
}(_react["default"].Component);

exports["default"] = ComboCard;