"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _theme = _interopRequireDefault(require("@lugia/lugia-web/dist/theme"));

var _table = _interopRequireDefault(require("@lugia/lugia-web/dist/table"));

var _react = _interopRequireDefault(require("react"));

var _themeHoc = _interopRequireDefault(require("@lugia/theme-hoc"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _consts = _interopRequireDefault(require("@lugia/lugia-web/dist/consts"));

var _templateObject, _templateObject2, _templateObject3;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Operation = _styledComponents["default"].a(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  font-size: 14px;\n"])));

var Status = _styledComponents["default"].span(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  color: ", ";\n  font-size: 14px;\n"])), function (props) {
  return props.status === "error" ? "#F22735" : "#65C73F";
});

var Divider = _styledComponents["default"].span(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  display: inline-block;\n  height: 16px;\n  border-left: 1px solid #e8e8e8;\n  vertical-align: text-bottom;\n  margin: 0px 5px;\n"])));

var _default = (0, _themeHoc["default"])( /*#__PURE__*/function (_React$Component) {
  _inherits(CustomTable, _React$Component);

  var _super = _createSuper(CustomTable);

  function CustomTable() {
    _classCallCheck(this, CustomTable);

    return _super.apply(this, arguments);
  }

  _createClass(CustomTable, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          _this$props$selectRow = _this$props.selectRowKeys,
          selectRowKeys = _this$props$selectRow === void 0 ? [] : _this$props$selectRow,
          onChange = _this$props.onChange,
          _this$props$columns = _this$props.columns,
          columns = _this$props$columns === void 0 ? [] : _this$props$columns,
          _this$props$data = _this$props.data,
          data = _this$props$data === void 0 ? [] : _this$props$data,
          onEnable = _this$props.onEnable,
          onEdit = _this$props.onEdit,
          onDelete = _this$props.onDelete,
          onView = _this$props.onView,
          getPartOfThemeHocProps = _this$props.getPartOfThemeHocProps,
          _this$props$renderCol = _this$props.renderCol,
          renderCol = _this$props$renderCol === void 0 ? {} : _this$props$renderCol; // console.log("test api", selectRowKeys);

      var theColumns = columns.map(function (item) {
        var data = renderCol[item.dataIndex];

        if (data && data.length > 0) {
          item.render = function (text, record) {
            var currentItem = data.find(function (dataItem) {
              return dataItem.value === record[item.dataIndex];
            });
            return /*#__PURE__*/_react["default"].createElement(Status, {
              status: currentItem.status
            }, currentItem.text || text);
          };

          item.align = "center";
        }

        return item;
      });
      theColumns.push({
        title: "操作",
        dataIndex: "custom_operations",
        key: "custom_operations",
        align: "center",
        // render: (text, record, index) => {
        //   console.log(text,record,index);
        //   const {level}= record;
        //   return(
        //   <div style={{ textAlign: "center" }}>
        //     <Operation
        //       href="javascript:;"
        //       onClick={() => onEnable(text, record, index)}
        //     >
        //       {level==="S1"? "开启" : "禁用" }
        //     </Operation>
        //     <Divider type="vertical" />
        //     <Operation
        //       href="javascript:;"
        //       onClick={() => onEdit(text, record, index, columns)}
        //     >
        //       修改
        //     </Operation>
        //     <Divider type="vertical" />
        //     <Operation
        //       href="javascript:;"
        //       last
        //       onClick={() => onDelete(text, record, index)}
        //     >
        //       删除
        //     </Operation>
        //   </div>
        // )},
        render: function render(text, record, index) {
          return /*#__PURE__*/_react["default"].createElement("div", {
            style: {
              textAlign: "center"
            }
          }, /*#__PURE__*/_react["default"].createElement(Operation, {
            href: "javascript:;",
            onClick: function onClick() {
              return onEdit(text, record, index, columns);
            }
          }, "\u4FEE\u6539"), /*#__PURE__*/_react["default"].createElement(Divider, {
            type: "vertical"
          }), /*#__PURE__*/_react["default"].createElement(Operation, {
            href: "javascript:;",
            onClick: function onClick() {
              return onEnable(text, record, index);
            }
          }, record["user_status"] === "启用" ? "停用" : "启用"), /*#__PURE__*/_react["default"].createElement(Divider, {
            type: "vertical"
          }), /*#__PURE__*/_react["default"].createElement(Operation, {
            href: "javascript:;",
            last: true,
            onClick: function onClick() {
              return onDelete(text, record, index);
            }
          }, "\u5220\u9664"));
        }
      });

      var _getPartOfThemeHocPro = getPartOfThemeHocProps("Container"),
          viewClass = _getPartOfThemeHocPro.viewClass,
          theme = _getPartOfThemeHocPro.theme;

      var config = _defineProperty({}, _consts["default"].Table, {
        Container: theme[viewClass]
      });

      return /*#__PURE__*/_react["default"].createElement(_theme["default"], {
        config: config
      }, /*#__PURE__*/_react["default"].createElement(_table["default"], _extends({}, this.props, {
        data: data,
        columns: theColumns,
        useFixedHeader: true,
        selectOptions: {
          onChange: onChange,
          selectRowKeys: selectRowKeys
        },
        theme: theme,
        viewClass: viewClass,
        size: "large"
      })));
    }
  }]);

  return CustomTable;
}(_react["default"].Component), "CustomTable");

exports["default"] = _default;