"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _theme = _interopRequireDefault(require("@lugia/lugia-web/dist/theme"));

var _Fjz2 = _interopRequireDefault(require("@/models/Fjz123"));

var _input = _interopRequireDefault(require("@lugia/lugia-web/dist/input"));

var _react = _interopRequireDefault(require("react"));

var LugiadInstance = _interopRequireWildcard(require("@lugia/lugiad-instance"));

var _themeUtils = require("@lugia/theme-utils");

var _lugiax = require("@lugia/lugiax");

var _lugiadLib = require("@lugia/lugiad-lib");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function create() {
  var $__data__ = undefined;
  var LugiadConnect = {
    ConnectInput: (0, _lugiax.connect)([_Fjz2["default"]], function (state0) {
      return _objectSpread({}, (0, _lugiadLib.getData)(state0, "value", "counter"));
    }, function () {
      return {};
    }, {
      areStateEqual: function areStateEqual(oldState, newState) {
        var old_state0 = oldState;
        var new_state0 = newState;
        return new_state0.getIn("counter".split(".")) != old_state0.getIn("counter".split("."));
      }
    })(_input["default"])
  };
  var $themeConfig = {
    wbcSHjE0: {
      wbcSHjE0: {
        Container: {
          normal: {
            width: "100%",
            height: "100%"
          }
        }
      }
    }
  };
  var $propsConfig = {
    wbcSHjE0: {
      lugiaHidden: false,
      canClear: true,
      readOnly: false,
      autoFocus: false,
      __lugiad__header__absolute__: true,
      LugiadInstance: LugiadInstance
    }
  };
  return {
    LugiadConnect: LugiadConnect,
    $themeConfig: $themeConfig,
    $propsConfig: $propsConfig,
    $__data__: $__data__
  };
}

var Page = /*#__PURE__*/function (_React$Component) {
  _inherits(Page, _React$Component);

  var _super = _createSuper(Page);

  function Page(props) {
    var _this;

    _classCallCheck(this, Page);

    _this = _super.call(this, props);

    var _create = create(),
        LugiadConnect = _create.LugiadConnect,
        $themeConfig = _create.$themeConfig,
        $propsConfig = _create.$propsConfig,
        $__data__ = _create.$__data__;

    _this.$__data__ = $__data__;
    _this.LugiadConnect = LugiadConnect;
    _this.$propsConfig = $propsConfig;
    _this.$themeConfig = $themeConfig;
    return _this;
  }

  _createClass(Page, [{
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate() {
      return false;
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount(props) {
      document.body.style.background = "#f8f8f8";
      var $__data__ = this.$__data__;
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount(props) {
      document.body.style.background = "";
      var $__data__ = this.$__data__;

      if (typeof $__data__ !== "undefined") {
        $__data__ && $__data__.model && $__data__.model.destroy && $__data__.model.destroy();
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props$lugiadPag = this.props.lugiadPageHeight,
          lugiadPageHeight = _this$props$lugiadPag === void 0 ? "100%" : _this$props$lugiadPag;
      var LugiadConnect = this.LugiadConnect,
          $themeConfig = this.$themeConfig,
          $propsConfig = this.$propsConfig;
      return /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          height: lugiadPageHeight,
          overflowY: "auto",
          width: "100%"
        }
      }, " ", /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          background: "none",
          height: "32px",
          width: "250px",
          flexBasis: "250px",
          position: "relative",
          display: "flex",
          flexDirection: "column",
          overflow: "hidden"
        },
        className: "lugiad_viewBox"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          width: "100%",
          height: "32px",
          position: "relative",
          flexShrink: 0,
          flexGrow: 0
        },
        className: "lugiad_absolute_box"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          zIndex: "0",
          width: "100%",
          height: "100%",
          position: "absolute",
          display: "flex",
          left: "0%",
          top: "0%"
        },
        className: "lugiad_absolute_widget_box",
        id: "wbcSHjE0"
      }, /*#__PURE__*/_react["default"].createElement(_theme["default"], {
        config: $themeConfig["wbcSHjE0"]
      }, /*#__PURE__*/_react["default"].createElement(LugiadConnect.ConnectInput, _extends({
        viewClass: "Input-m-theme-viewClass wbcSHjE0"
      }, $propsConfig["wbcSHjE0"])), " ")))), " ");
    }
  }]);

  return Page;
}(_react["default"].Component);

exports["default"] = Page;